From: Arnaud Rebillout <arnaudr@kali.org>
Date: Mon, 15 Aug 2022 17:45:30 +0700
Subject: Build with InvariantGlobalization

Otherwise we get this crash:

  $ brutesharkcli -h

  Process terminated. Couldn't find a valid ICU package installed on the
  system. Set the configuration flag System.Globalization.Invariant to
  true if you want to run with no globalization support.

In <https://github.com/NixOS/nixpkgs/pull/172335>, they say dotnet 3.1 is
unable to find libicu > 70, that 70 is a maximum value that is hardcoded in
dotnet. Maybe it will be fixed in later point releases of dotnet 3.1, but
beware that EOL for 3.1 is in December 2022. It's said to be fixed in
subsequent major releases of dotnet, so it should be Ok with dotnet 6.x.
There's more details at <https://github.com/dotnet/runtime/pull/34095>

In practice, it seems that all of that relates to *build-time*, not run-time.
If we build with dotnet 6, we can indeed add libicu-dev to the Build-Depends,
and drop DOTNET_SYSTEM_GLOBALIZATION_INVARIANT=1 from debian/rules. Nice! But
it doesn't help: without this patch, at run-time, brutesharkcli will crash all
the same, even if libicuXX (XX=71 at the moment) is installed.

Keep the patch for now.

Fixes: #1
---
 BruteShark/BruteSharkCli/BruteSharkCli.csproj | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/BruteShark/BruteSharkCli/BruteSharkCli.csproj b/BruteShark/BruteSharkCli/BruteSharkCli.csproj
index 3026793..96bade4 100644
--- a/BruteShark/BruteSharkCli/BruteSharkCli.csproj
+++ b/BruteShark/BruteSharkCli/BruteSharkCli.csproj
@@ -13,4 +13,7 @@
 	  <ProjectReference Include="..\PcapAnalyzer\PcapAnalyzer.csproj" />
 	  <ProjectReference Include="..\PcapProcessor\PcapProcessor.csproj" />
 	</ItemGroup>
+	<PropertyGroup>
+		<InvariantGlobalization>true</InvariantGlobalization>
+	</PropertyGroup>
 </Project>
